DynUnionHelper (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynUnionHelper class
Date: 2020-03-26

org.omg.DynamicAny

## Class DynUnionHelper

- java.lang.Object
- - org.omg.DynamicAny.DynUnionHelper

-     public abstract class DynUnionHelper
      extends Object

  DynUnion objects support the manipulation of IDL unions. A union can have only two valid current positions:
  - zero, which denotes the discriminator
  - one, which denotes the active member
  The component_count value for a union depends on the current discriminator: it is 2 for a union whose discriminator indicates a named member, and 1 otherwise.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynUnionHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DynUnion` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, DynUnion that)`
    `static DynUnion` | `narrow(Object obj)`
    `static DynUnion` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static DynUnion` | `unchecked_narrow(Object obj)`
    `static void` | `write(OutputStream ostream, DynUnion value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynUnionHelper

          public DynUnionHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    DynUnion that)

    - #### extract

          public static DynUnion extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DynUnion read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   DynUnion value)

    - #### narrow

          public static DynUnion narrow(Object obj)

    - #### unchecked_narrow

          public static DynUnion unchecked_narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.